const REACT = 'REACT';
const REACT_NATIVE = 'REACT_NATIVE';
const LINK = 'LINK';

const options = [{
  title: 'React Native Docs',
  url: 'getting-started',
	type: REACT_NATIVE,
}, {
  title: 'Stylesheet',
  url: 'stylesheet',
	type: REACT_NATIVE,
}, {
  title: 'View Styles',
  url: 'view.html#style',
	type: REACT_NATIVE,
}, {
  title: 'Flexbox/Layout',
  url: 'layout-props',
	type: REACT_NATIVE,
}, {
  title: 'Text Styles',
  url: 'text.html#style',
	type: REACT_NATIVE,
}, {
  title: 'Transform Styles',
  url: 'transforms.html#proptypes',
	type: REACT_NATIVE,
}, {
  title: 'Shadow Props',
  url: 'shadow-props.html#shadow-props',
	type: REACT_NATIVE,
}, {
  title: 'ActivityIndicator',
  url: 'activityindicator',
	type: REACT_NATIVE,
}, {
  title: 'DatePickerIOS',
  url: 'datepickerios',
	type: REACT_NATIVE,
}, {
  title: 'DrawerLayoutAndroid',
  url: 'drawerlayoutandroid',
	type: REACT_NATIVE,
}, {
  title: 'Image',
  url: 'image',
	type: REACT_NATIVE,
}, {
  title: 'ListView',
  url: 'listview',
	type: REACT_NATIVE,
}, {
  title: 'MapView',
  url: 'mapview',
	type: REACT_NATIVE,
}, {
  title: 'Modal',
  url: 'modal',
	type: REACT_NATIVE,
}, {
  title: 'Navigator',
  url: 'navigator',
	type: REACT_NATIVE,
}, {
  title: 'NavigatorIOS',
  url: 'navigatorios',
	type: REACT_NATIVE,
}, {
  title: 'PickerIOS',
  url: 'pickerios',
	type: REACT_NATIVE,
}, {
  title: 'Picker',
  url: 'picker',
	type: REACT_NATIVE,
}, {
  title: 'ProgressBarAndroid',
  url: 'progressbarandroid',
	type: REACT_NATIVE,
}, {
  title: 'ProgressViewIOS',
  url: 'progressviewios',
	type: REACT_NATIVE,
}, {
  title: 'RefreshControl',
  url: 'refreshcontrol',
	type: REACT_NATIVE,
}, {
  title: 'ScrollView',
  url: 'scrollview',
	type: REACT_NATIVE,
}, {
  title: 'SegmentedControlIOS',
  url: 'segmentedcontrolios',
	type: REACT_NATIVE,
}, {
  title: 'Slider',
  url: 'slider',
	type: REACT_NATIVE,
}, {
  title: 'SliderIOS',
  url: 'sliderios',
	type: REACT_NATIVE,
}, {
  title: 'StatusBar',
  url: 'statusbar',
	type: REACT_NATIVE,
}, {
  title: 'Switch',
  url: 'switch',
	type: REACT_NATIVE,
}, {
  title: 'TabBarIOS',
  url: 'tabbarios',
	type: REACT_NATIVE,
}, {
  title: 'TabBarIOS.Item',
  url: 'tabbarios-item',
	type: REACT_NATIVE,
}, {
  title: 'Text',
  url: 'text',
	type: REACT_NATIVE,
}, {
  title: 'TextInput',
  url: 'textinput',
	type: REACT_NATIVE,
}, {
  title: 'ToolbarAndroid',
  url: 'toolbarandroid',
	type: REACT_NATIVE,
}, {
  title: 'TouchableHighlight',
  url: 'touchablehighlight',
	type: REACT_NATIVE,
}, {
  title: 'TouchableNativeFeedback',
  url: 'touchablenativefeedback',
	type: REACT_NATIVE,
}, {
  title: 'TouchableOpacity',
  url: 'touchableopacity',
	type: REACT_NATIVE,
}, {
  title: 'TouchableWithoutFeedback',
  url: 'touchablewithoutfeedback',
	type: REACT_NATIVE,
}, {
  title: 'View',
  url: 'view',
	type: REACT_NATIVE,
}, {
  title: 'ViewPagerAndroid',
  url: 'viewpagerandroid',
	type: REACT_NATIVE,
}, {
  title: 'WebView',
  url: 'webview',
	type: REACT_NATIVE,
}, {
  title: 'Animated',
  url: 'animated',
	type: REACT_NATIVE,
}, {
  title: 'Animations Guide',
  url: 'animations',
	type: REACT_NATIVE,
}, {
  title: 'PropTypes',
	type: REACT,
  url: 'reusable-components.html#prop-validation',
}, {
  title: 'Components ES6',
	type: REACT,
  url: 'reusable-components.html#es6-classes',
}, {
  title: 'Component',
  url: 'component-api',
  type: REACT,
}, {
  title: 'Event System',
  url: 'events',
  type: REACT,
}, {
  title: 'React Docs',
  url: 'getting-started',
  type: REACT,
}, {
  title: 'Cheat Sheet',
	type: LINK,
  url: 'http://ricostacruz.com/cheatsheets/react.html',
}, {
  title: 'Github Repo',
  url: 'https://github.com/facebook/react-native',
	type: LINK,
}, {
  title: 'NavigationExperimental',
  url: 'https://github.com/facebook/react-native/tree/master/Libraries/NavigationExperimental',
	type: LINK,
}, {
  title: 'Create React App',
  url: 'https://github.com/facebookincubator/create-react-app',
  type: LINK,
}, {
  title: 'React Native Animation Book',
  url: 'http://browniefed.com/react-native-animation-book/',
  type: LINK,
}];

module.exports = {
  REACT: REACT,
  REACT_NATIVE: REACT_NATIVE,
  LINK: LINK,
  options: options,
};
